---
dg-publish: true
---

27 de Setembro 2023 - #RAS 

>[!help]+ Ex 5.1
>Imagine that a software engineer, who concluded recently his degree at a given university, is leading a requirements engineering team for a project to improve the software application that permits students to enroll and register in degrees offered by that university. Which of the following requirements elicitation techniques are adequate for capturing the typical and atypical activities involved in the use of the application?
>
>1. Observation
>2. Prototypes
>3. Interviews
>4. Surveys
>
>>[!hint]- Resolution
>>The option 1 should be the chosen one, since it allows .
>>
>>Option 2- The software already exists. Why would one create a prototype for an app that already exists?
>>Option 3 - Interviews may be biased and take a lot of time, with a few selected people.
>>Option 4 - Surveys may also be biased and thus create biased results.


>[!help]+ Ex 5.2
>For the system indicated in the previous question, during the requirements elicitation process, some students were interviewed. They have indicated the functionalities that they would like to see incorporated in the final solution. Afterwards, the client has requested to remove some of the requirements proposed by the students. Which of the following arguments is the less strong for justify the removal of those requirements?
>
>1. The requirements from the students are not representative of those from the student population.
>2. The requirements from the students are ambiguous and cannot be tested.
>3. The requirements from the students are contrary to the interests of the client.
>4. The client does not consider the students as system stakeholders.
>   
>>[!hint]- Resolução
>>Option 4 is the correct one.
>>


>[!help]+ Ex. 5.3
>Which of the following arguments is the strongest to justify the use of the observation technique in a company?
>
>1. Direct interaction with users permits a continuous discussion about the various forms of work.
>2. Observation permits one to see not just the normal workflow, but also less typical situations.
>3. Observation is a traditional technique for capturing requirements and the company has experience in using it.
>4. Observation aids in the observer/observed interaction, when they exchange ideas in real-time.
>
>>[!hint]- Resolution
>>Option 2 is the correct one.

>[!help]+ Ex. 5.4
>Suppose that the analysts of a software product project have a reduced knowledge about the respective domain. Which requirements elicitation techniques are the most appropriate in that case?
>
>1. Interviews
>2. Surveys
>3. Task analysis
>4. Domain analysis
>5. Introspection
>6. Observation
>7. Goal modelling
>8. Scenarios
>9. Personnas
>   
>>[!hint]- Resolution
>>Most valid options:
>>1. Domain Analysis
>>2. Interviews
>>3. Surveys
>>4. Task analysis
>>5. Observation
>>6. Goal modelling

>[!help]+ Ex. 5.5
>Explain the main reasons why the combined used of ethnographical techniques with prototyping is useful for eliciting requirements.
>>[!hint] Resolution
>>When the prototypes are handled by the users under the observation of the analyst, the combination of these two techniques has the potential to provide mush richer requirements, in relation bot

